<app-loading *ngIf="isLoading"></app-loading>
<div class="content">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải dữ liệu lên" mbButtonTextColor="#141ED2"
      (click)="showModalUploadFile(footerTmplUploadFile)" *ngIf="objFunction?.import">
  </mb-button>
  <mb-button *ngIf='objFunction?.create' mbButtonType="NO_BORDER" mbButtonSize="LARGE"
    mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY"
    (click)="showModalSetOfCategory(footerTmpl)"></mb-button>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
      mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
      mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef.destroy()"
      *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
<div class="form-setup-header">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzSm="24" nzXs="24" nzLg="6">

        <div class="block-center">
          <div class="form-group">
            <label class="input__label" [innerHTML]="'Đơn vị'"></label>
            <nz-input-group [nzSuffix]="suffixIconSearch" class="input">
              <input type="text" nz-input formControlName="orgId" placeholder="Chọn thông tin" (click)="showModalUnit($event, value)" readonly />
            </nz-input-group>
            <ng-template #suffixIconSearch>
              <mb-button (click)="clearDataOrgId()" mbButtonType="ONLY_ICON" mbButtonIconType="ZORRO"
                mbPrefixIcon="close"></mb-button>
            </ng-template>
          </div>
        </div>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-drop-dow-list-lazy-search
          [params]='paramSetUpJob'
          (mbEventSelectItem)='selectDataJobId($event)'
          [accessDataSelect]="{name: 'jobName', id: 'jobId', dataRes: 'content'}"
          [urlService]='urlGetListJobTypeORG'
          [labelText]="'Job'"
          placeholderText="Job"
        ></mb-drop-dow-list-lazy-search>

      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6" class='infinite-container'>
        <mb-drop-dow-list-lazy-search
          [params]='paramSetupPosition'
          #formPositionComp
          (mbEventSelectItem)='selectPositionId($event)'
          [accessDataSelect]="{name: 'posName', id: 'posId', dataRes: 'data'}"
          [labelText]="'Position'"
          placeholderText="Position"
          [urlService]='urlPositionService'
        ></mb-drop-dow-list-lazy-search>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select formControlName="flagStatus" [mbDataSelects]="mbDataSelectsAssessmentStatus" [mbShowSearch]="false"
          mbPlaceholder="{{'targerManager.setOfIndicators.label.table.flagStatus' | translate}}"
          mbLabelText="{{'targerManager.setOfIndicators.label.table.flagStatus' | translate}}">
        </mb-select>
      </div>

      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-input-text formControlName="sotCode"
          mbPlaceholderText="{{'targerManager.setOfIndicators.label.table.setOfIndicatorsCode' | translate}}"
          mbLabelText="{{'targerManager.setOfIndicators.label.table.setOfIndicatorsCode' | translate}}"
          (keyup.enter)="onSearch()">
        </mb-input-text>
      </div>
    </div>
  </form>
  <div class="search_header">
    <mb-button mbButtonAvailableStyle="DEFAULT" [buttonColorPink]="true"
      mbButtonText="{{'common.label.search' | translate}}" (click)="onSearch()"></mb-button>
  </div>
</div>


  <nz-table class="data-table" #basicTable [nzData]="listDataTargetIndicators" [nzShowPagination]="false" nzTableLayout="fixed"
    nzSize='small' [nzPageSize]="pageable?.totalElements"
    [nzScroll]="listDataTargetIndicators?.length > 8 ? { x: '30rem' } : {}">
    <thead>
      <tr>
        <th [nzAlign]='nzAlignTh' id='index' nz nzWidth='4rem' class="text-nowrap" nzLeft>{{'targerManager.table.stt' |
          translate}}</th>
        <th [nzAlign]='nzAlignTh' id='setOfIndicatorsCode' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.setOfIndicatorsCode' | translate}}</th>
        <th [nzAlign]='nzAlignTh' id='setOfIndicatorsName' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.setOfIndicatorsName' | translate}}</th>
        <th [nzAlign]='nzAlignTh' id='pgrName' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.pgrName' | translate}}</th>
        <th [nzAlign]='nzAlignTh' id='position' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.position' | translate}}</th>
        <th [nzAlign]='nzAlignTh' id='psdName' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.psdName' | translate}}</th>
        <th [nzAlign]='nzAlignTh' id='flagStatus' class="text-nowrap">
          {{'targerManager.setOfIndicators.label.table.flagStatus' | translate}}
        </th>
        <th scope="col" nzWidth='7rem' *ngIf='objFunction?.delete' nzRight class="text-nowrap" nzAlign='center'></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable?.data ;let i = index; trackBy: trackFntable"
        (dblclick)="objFunction?.edit && showModalSetOfCategory(footerTmpl, data, null, null)">
        <td nzLeft nzWidth="0.5rem">{{ i + 1 + paramTargetIndicators.size * paramTargetIndicators.page }}</td>
        <td nz-tooltip [nzTooltipTitle]="data?.sotCode" class="no-wrap">{{ data?.sotCode }}</td>
        <td nz-tooltip [nzTooltipTitle]="data?.sotName" class="no-wrap">{{ data?.sotName }}</td>
        <td nz-tooltip [nzTooltipTitle]="data?.pgrName" class="no-wrap">{{ data?.pgrName }}</td>
        <td nz-tooltip [nzTooltipTitle]="data?.posName" class="no-wrap">{{ data?.posName }}</td>
        <td nz-tooltip [nzTooltipTitle]="data?.psdName" class="no-wrap">{{ data?.psdName }}</td>
        <td>
          <nz-tag [nzColor]="'blue'" *ngIf="data.flagStatus === 1; else tplFlagStatus">
            {{'targerManager.common.label.flagStatusActive' | translate}}</nz-tag>
          <ng-template #tplFlagStatus>
            <nz-tag [nzColor]="'red'">{{'targerManager.common.label.flagStatusNotActive' | translate}}</nz-tag>
          </ng-template>
        </td>
        <td nzWidth="1rem" nzRight nzAlign='center'>
          <mb-button-icon *ngIf="objFunction?.create " mbButtonType='COPY' (click)="showModalSetOfCategory(footerTmpl, data, $event, true)"></mb-button-icon>
          <mb-button-icon *ngIf='objFunction?.delete' mbButtonType='DELETE' (click)="showConfirm($event,data)"></mb-button-icon>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <div class="pagination" *ngIf="listDataTargetIndicators && listDataTargetIndicators?.length > 0">
    <div class="pagination__table-info">
      <img alt='idea' class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
      <span class="pagination__table-info--text">Tìm thấy {{ pageable?.totalElements }} kết quả, hiển thị từ
        {{ pageable?.size * (pageable?.currentPage - 1) + 1 }} đến
        {{ pageable?.size * (pageable?.currentPage - 1) + pageable?.numberOfElements }}</span>
    </div>
    <nz-pagination [(nzPageIndex)]="pageable && pageable.currentPage" [nzTotal]="pageable?.totalElements"
      [nzPageSize]="pageable?.size" (nzPageIndexChange)="changePage($event)" class="pagination__icon">
    </nz-pagination>
  </div>

<ng-template #footerTmpl>
  <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonText="Lưu"
    (click)="modalRef.getContentComponent().saveTargetCategory()"></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="modalRef.destroy()">
  </mb-button>
</ng-template>
